Bug 555399 - Make all tab names consistent (all nouns, matching singular/plural, etc)
Summary: Make all tab names consistent (all nouns, matching singular/plural, etc)
Keywords:
Status: CLOSED CURRENTRELEASE
Alias: None
Product: RHQ Project
Classification: Other
Component: Core UI
Version: 1.4
Hardware: All
OS: Linux
low
medium vote
Target Milestone: ---
: ---
Assignee: Charles Crouch
QA Contact: Jeff Weiss
URL:
Whiteboard:
Depends On:
Blocks: rhq4
TreeView+ depends on / blocked
 
Reported: 2010-01-14 16:54 UTC by Jeff Weiss
Modified: 2015-02-01 23:25 UTC (History)
4 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2013-09-03 17:02:18 UTC


Attachments (Terms of Use)

Description Jeff Weiss 2010-01-14 16:54:08 UTC
Description of problem:
<jweiss> ips: well, it sorta makes sense.  the tabs names should either be nouns or verbs, not a mix of both
 summary = noun, monitor = verb, inventory = noun, alert = either, configuration = noun, operations = noun, events = noun
 only one that doesn't fit now is monitor
 monitoring?
<ips> Alert is questionable
 Alerts or Alerting would be better

Also need to check the tabs for groups and also subtabs for consistency.


Version-Release number of selected component (if applicable):
Revision : 4d2b97094f95fc13ba21a680b89ffd84b4a77eba 

How reproducible:
always

Steps to Reproduce:
1. Login 
2. Look at tabs
3.
  
Actual results:


Expected results:


Additional info:

Comment 1 Charles Crouch 2010-01-14 17:13:18 UTC
Monitor is a noun too :-)

http://www.thefreedictionary.com/monitor

"mon·i·tor
...
4.  Computer Science A program that observes, supervises, or controls the activities of other programs."

We definitely have a plural/singular issue going on too though.

Comment 2 Jeff Weiss 2010-01-14 17:28:12 UTC
It's whatever part of speech customers say it is :)  And while i have no empirical data, I'm pretty confident they overwhelmingly say "verb".

Comment 3 wes hayutin 2010-02-16 16:59:22 UTC
Temporarily adding the keyword "SubBug" so we can be sure we have accounted for all the bugs.

keyword:
new = Tracking + FutureFeature + SubBug

Comment 4 wes hayutin 2010-02-16 17:04:29 UTC
making sure we're not missing any bugs in rhq_triage

Comment 5 Ian Springer 2011-02-11 22:24:18 UTC
This is still an issue in coregui. I will fix.

Comment 6 Ian Springer 2011-02-16 20:22:43 UTC
I take that back. All tab and subtab names are now nouns, with the exception of the Deployed and New subtabs of the Content tab, which I think can be left alone for now, since the Content GUI needs major rework across the boards.

Comment 7 Sunil Kondkar 2011-06-03 11:20:17 UTC
Verified in build 116 (Version: 4.1.0-SNAPSHOT Build Number: 6ae3b13)

Verified tab and subtab names for resources and groups. They are now nouns. The monitor tab is now Monitoring and Alert is now Alerts.


Marking as verified.

Comment 9 Heiko W. Rupp 2013-09-03 17:02:18 UTC
Bulk closing of old issues that are in VERIFIED state.


Note You need to log in before you can comment on or make changes to this bug.